Eclipse Platform Release 3.7

## org.eclipse.jface.text.contentassist
Interface IContentAssistantExtension2

All Known Implementing Classes:
  ContentAssistant, SubjectControlContentAssistant

    public interface IContentAssistantExtension2

Extends `IContentAssistant` with the following functions:

- completion listeners
- repeated invocation mode
- a local status line for the completion popup
- control over the behavior when no proposals are available

Since:
  3.2

Method Summary
`void` `addCompletionListener(ICompletionListener listener)` Adds a completion listener that will be informed before proposals are computed.
`void` `removeCompletionListener(ICompletionListener listener)` Removes a completion listener.
`void` `setEmptyMessage(String message)` Sets the text to be shown if no proposals are available and `empty lists` are displayed.
`void` `setRepeatedInvocationMode(boolean cycling)` Enables repeated invocation mode, which will trigger re-computation of the proposals when code assist is executed repeatedly.
`void` `setShowEmptyList(boolean showEmpty)` Enables displaying an empty completion proposal pop-up.
`void` `setStatusLineVisible(boolean show)` Enables displaying a status line below the proposal popup.
`void` `setStatusMessage(String message)` Sets the caption message displayed at the bottom of the completion proposal popup.

Method Detail

### addCompletionListener

    void addCompletionListener(ICompletionListener listener)

  Adds a completion listener that will be informed before proposals are computed.

  Parameters:
    `listener` - the listener

### removeCompletionListener

    void removeCompletionListener(ICompletionListener listener)

  Removes a completion listener.

  Parameters:
    `listener` - the listener to remove

### setRepeatedInvocationMode

    void setRepeatedInvocationMode(boolean cycling)

  Enables repeated invocation mode, which will trigger re-computation of the proposals when code assist is executed repeatedly. The default is no `false`.

  Parameters:
    `cycling` - `true` to enable repetition mode, `false` to disable

### setShowEmptyList

    void setShowEmptyList(boolean showEmpty)

  Enables displaying an empty completion proposal pop-up. The default is not to show an empty list.

  Parameters:
    `showEmpty` - `true` to show empty lists

### setStatusLineVisible

    void setStatusLineVisible(boolean show)

  Enables displaying a status line below the proposal popup. The default is not to show the status line. The contents of the status line may be set via `setStatusMessage(String)`.

  Parameters:
    `show` - `true` to show a message line, `false` to not show one.

### setStatusMessage

    void setStatusMessage(String message)

  Sets the caption message displayed at the bottom of the completion proposal popup.

  Parameters:
    `message` - the message

### setEmptyMessage

    void setEmptyMessage(String message)

  Sets the text to be shown if no proposals are available and `empty lists` are displayed.

  Parameters:
    `message` - the text for the empty list

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.